{*******************************************************}
{                                                       }
{              FastCube 2 Export interface unit         }
{                                                       }
{               Copyright (c) 2001-2016                 }
{           by Oleg Pryalkov, Paul Ishenin              }
{                  Fast Reports Inc.                    }
{*******************************************************}
//VCL uses section
{$IFNDEF FMX}
unit fcxCustomSliceGridExport;
{$INCLUDE fcx.inc}

interface

uses
  SysUtils, Classes, Controls,
  Forms, Dialogs,
  fcxTypes, fcxRes, fcxCube, fcxSlice, fcxStyles, fcxCustomExport, fcxSliceGrid;
{$ELSE FMX}
interface

uses
  System.UITypes, System.SysUtils, System.Classes,
  FMX.Controls, FMX.Forms, FMX.Dialogs,
  FMX.fcxRes, FMX.fcxTypes, FMX.fcxCube, FMX.fcxSlice, FMX.fcxStyles, FMX.fcxCustomExport, FMX.fcxSliceGrid;
{$ENDIF FMX}

type

  {$IFDEF DELPHI_16UP}
  [ComponentPlatformsAttribute(pidWin32 or pidWin64 or pidOSX32)]
  {$ENDIF}
  TfcxCustomSliceGridExportFilter = class(TfcxCustomExportFilter)
  private
    FSliceGrid: TfcxSliceGrid;
    procedure SetSliceGrid(const Value: TfcxSliceGrid);
  protected
  public
    property SliceGrid: TfcxSliceGrid read FSliceGrid write SetSliceGrid;
  published
  end;

implementation

{ TfcxCustomSliceGridExportFilter }

procedure TfcxCustomSliceGridExportFilter.SetSliceGrid(const Value: TfcxSliceGrid);
begin
  FSliceGrid := Value;
end;

initialization

finalization

end.
